CLFFT(1)

NAME
clFFT-client - program to test the various options of the OpenCL FFT library on various devices, dimensions or precision ...

DESCRIPTION

  clFFT client command line options:

-h [ --help ]
    produces this help message

-v [ --version ]
    Print queryable version information from the clFFT library

-i [ --clInfo ]
    Print queryable information of the OpenCL runtime

-g [ --gpu ]
    Force instantiation of an OpenCL GPU device

-c [ --cpu ]
    Force instantiation of an OpenCL CPU device

-a [ --all ]
    Force instantiation of all OpenCL devices

-o [ --outPlace ]
    Out of place FFT transform (default: in place)

--double
    Double precision transform (default: single)

--inv
    Backward transform (default: forward)

-d [ --dumpKernels ]
    FFT engine will dump generated OpenCL FFT kernels to disk (default: dump off)

-x [ --lenX ] arg (=1024)
    Specify the length of the 1st dimension of a test array

-y [ --lenY ] arg (=1)
    Specify the length of the 2nd dimension of a test array

-z [ --lenZ ] arg (=1)
    Specify the length of the 3rd dimension of a test array

--isX arg (=1)
    Specify the input stride of the 1st dimension of a test array

--isY arg (=0)
    Specify the input stride of the 2nd dimension of a test array

--isZ arg (=0)
    Specify the input stride of the 3rd dimension of a test array

--iD arg (=0)
    input distance between subsequent sets of data when batch size > 1

--osX arg (=1)
    Specify the output stride of the 1st dimension of a test array

--osY arg (=0)
    Specify the output stride of the 2nd dimension of a test array

--osZ arg (=0)
    Specify the output stride of the 3rd dimension of a test array

--oD arg (=0)
    output distance between subsequent sets of data when batch size > 1

-b [ --batchSize ] arg (=1) If this value is greater than one, arrays will be
    used

-p [ --profile ] arg (=1)
    Time and report the kernel speed of the FFT (default: profiling off)

--inLayout arg (=1)
    Layout of input data: 1) interleaved 2) planar 3) hermitian interleaved 4) hermitian planar 5) real

--outLayout arg (=1)
    Layout of input data: 1) interleaved 2) planar 3) hermitian interleaved 4) hermitian planar 5) real

clFFT runtime version: 2.4.0

    Internal Client Test *****PASS*****